Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.comm.protocol
Class InvalidProtocolException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--context.arch.comm.protocol.InvalidProtocolException

public class InvalidProtocolException
extends java.lang.Exception

This class implements the InvalidProtocolException. This exception is thrown if the protocol handler class selected can not be instantiated.

See Also:
  `CommunicationsObject.start()`, `ProtocolException`, Serialized Form

Constructor Summary
`InvalidProtocolException()` Basic constructor for InvalidProtocolException with no message
`InvalidProtocolException(java.lang.String message)` Constructor for InvalidProtocolException with error message

Method Summary
`java.lang.String` | `getMessage()` Returns the error message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidProtocolException

    public InvalidProtocolException()

  Basic constructor for InvalidProtocolException with no message

### InvalidProtocolException

    public InvalidProtocolException(java.lang.String message)

  Constructor for InvalidProtocolException with error message
  Parameters:
    `message` - Error message

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the error message
  Overrides:
    getMessage in class java.lang.Throwable
  Returns:
    the error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD